# Uses of Class
org.eclipse.birt.core.script.ScriptContext

Packages that use ScriptContext
Package
Description
org.eclipse.birt.core.script
Provides Java Script support to BIRT.

## Uses of ScriptContext in org.eclipse.birt.core.script

Methods in org.eclipse.birt.core.script that return ScriptContext
Modifier and Type
Method
Description
`ScriptContext`
ScriptContext.`getParent()`
`ScriptContext`
ScriptContext.`newContext(Object scope)`
`ScriptContext`
ScriptContext.`newContext(Object scope, Map<String,Object> attributes)`
Methods in org.eclipse.birt.core.script with parameters of type ScriptContext
Modifier and Type
Method
Description
`ICompiledScript`
IScriptEngine.`compile(ScriptContext scriptContext, String fileName, int lineNumber, String script)`
Compiles the script for later execution.
`Object`
IScriptEngine.`evaluate(ScriptContext scriptContext, ICompiledScript script)`
Evaluates a compiled script.